YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface ILegendItemSeries

Package | com.yahoo.astra.fl.charts.series
Interface | public interface ILegendItemSeries extends ISeries, flash.events.IEventDispatcher
Implementors | CartesianSeries

A series type that can create data for a legend.

See also

com.yahoo.astra.fl.charts.legend.ILegend
com.yahoo.astra.fl.charts.legend.LegendItemData

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object The chart in which this series appears. | ISeries
|  | dataProvider : Object The data provider for this series. | ISeries
|  | dataTipFunction : Function DataTip Function for series | ISeries
|  | displayName : String The name of the series as it appears to the user. | ISeries
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | ISeries
|  | length : int The number of items in the series. | ISeries
|  | showInLegend : Boolean When a Legend is present, indicates whether the series will show in the legend. | ILegendItemSeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | clone():ISeries Creates a copy of the ISeries object. | ISeries
|  | createLegendItemData():LegendItemData Creates a LegendItemData object to pass to the chart's legend. | ILegendItemSeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int Returns the index of an item renderer. | ISeries
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer Converts an item to its corresponding item renderer. | ISeries

Events
Hide Inherited Events
Show Inherited Events

| Event | Summary | Defined by
--- | --- | --- | ---
|  | dataChange | Dispatched when the data property for an ISeries changes. | ISeries

Property detail

showInLegend | property

`showInLegend:Boolean` [read-write]

When a Legend is present, indicates whether the series will show in the legend.

Implementation
`public function get showInLegend():Boolean`
`public function set showInLegend(value:Boolean):void`
Method detail

createLegendItemData | () | method

`public function createLegendItemData():LegendItemData`

Creates a LegendItemData object to pass to the chart's legend.

Returns

| `LegendItemData`